Sites

A Site is the place you'll come to update site settings, as well as manage site-wide API keys.

Most site settings can be set via the API.

Site Attribute Requirements

Site AttributeRequired Feature Bundle
allowed_ipsPower
domainPower
calculate_file_checksums_crc32Power
calculate_file_checksums_md5Power
calculate_file_checksums_sha1Power
calculate_file_checksums_sha256Power
custom_namespacePower
pin_all_remote_servers_to_site_regionPower
require_2faPower
sftp_insecure_ciphersPower
smtp_addressPower
smtp_authenticationPower
smtp_fromPower
smtp_usernamePower
smtp_passwordPower
smtp_portPower
byoip_in_usePremier

Show Site Settings

Endpoint

GET/site

Return Object

Site

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Example Request

curl https://app.files.com/api/rest/v1/site.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "name": "My Site",
  "additional_text_file_types": [
    "example"
  ],
  "ai_feature_availability": {
    "in_app_ai_assistant": {
      "site_admins": true,
      "workspace_admins": true,
      "folder_admins": true,
      "all_users": true
    }
  },
  "allowed_2fa_method_sms": true,
  "allowed_2fa_method_totp": true,
  "allowed_2fa_method_webauthn": true,
  "allowed_2fa_method_yubi": true,
  "allowed_2fa_method_email": true,
  "allowed_2fa_method_static": true,
  "allowed_2fa_method_bypass_for_ftp_sftp_dav": true,
  "admin_user_id": 1,
  "admins_bypass_locked_subfolders": false,
  "allow_bundle_names": true,
  "allow_user_level_2fa_override": true,
  "allow_user_level_allowed_ip_override": true,
  "allow_user_level_ssl_override": true,
  "allowed_countries": "US,DE",
  "allowed_ips": "example",
  "always_mkdir_parents": false,
  "as2_message_retention_days": 1,
  "ask_about_overwrites": true,
  "bundle_activity_notifications": "never",
  "bundle_expiration": 1,
  "bundle_not_found_message": "example",
  "bundle_password_required": true,
  "bundles_default_owned_by_primary_group": true,
  "bundle_recipient_blacklist_domains": [
    "example"
  ],
  "bundle_recipient_blacklist_free_email_domains": true,
  "bundle_registration_notifications": "never",
  "bundle_require_registration": true,
  "bundle_require_share_recipient": true,
  "bundle_send_one_time_password_to_recipient_at_registration": true,
  "bundle_require_note": true,
  "bundle_send_shared_receipts": true,
  "bundle_upload_receipt_notifications": "never",
  "bundle_watermark_attachment": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "bundle_watermark_value": {
    "key": "example value"
  },
  "calculate_file_checksums_crc32": true,
  "calculate_file_checksums_md5": true,
  "calculate_file_checksums_sha1": true,
  "calculate_file_checksums_sha256": true,
  "uploads_via_email_authentication": true,
  "color2_left": "#0066a7",
  "color2_link": "#d34f5d",
  "color2_text": "#0066a7",
  "color2_top": "#000000",
  "color2_top_text": "#ffffff",
  "contact_name": "John Doe",
  "created_at": "2000-01-01T01:00:00Z",
  "currency": "USD",
  "custom_namespace": true,
  "dav_enabled": true,
  "dav_user_root_enabled": false,
  "days_to_retain_backups": 30,
  "document_edits_in_bundle_allowed": false,
  "default_time_zone": "Pacific Time (US & Canada)",
  "desktop_app": true,
  "desktop_app_session_ip_pinning": true,
  "desktop_app_session_lifetime": 1,
  "legacy_checksums_mode": true,
  "migrate_remote_server_sync_to_sync": true,
  "mcp_dcr_enabled": true,
  "mobile_app": true,
  "mobile_app_session_ip_pinning": true,
  "mobile_app_session_lifetime": 1,
  "disallowed_countries": "US,DE",
  "disable_all_ai_features": true,
  "disable_files_certificate_generation": true,
  "disable_notifications": true,
  "disable_password_reset": true,
  "domain": "my-custom-domain.com",
  "domain_hsts_header": true,
  "domain_letsencrypt_chain": "example",
  "email": "john.doe@files.com",
  "fedramp": true,
  "ftp_enabled": true,
  "reply_to_email": "jane.doe@files.com",
  "non_sso_groups_allowed": true,
  "non_sso_users_allowed": true,
  "folder_permissions_groups_only": true,
  "group_admins_can_add_users": true,
  "group_admins_can_manage_group_memberships": true,
  "group_admins_can_delete_users": true,
  "group_admins_can_enable_disable_users": true,
  "group_admins_can_modify_users": true,
  "group_admins_can_bypass_user_lifecycle_rules": true,
  "group_admins_can_reset_passwords": true,
  "group_admins_can_set_user_password": true,
  "hipaa": true,
  "icon128": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "icon16": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "icon32": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "icon48": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "immutable_files_set_at": "2000-01-01T01:00:00Z",
  "include_password_in_welcome_email": true,
  "language": "en",
  "ldap_base_dn": "example",
  "ldap_domain": "mysite.com",
  "ldap_enabled": true,
  "ldap_group_action": "disabled",
  "ldap_group_exclusion": "example",
  "ldap_group_inclusion": "example",
  "ldap_host": "ldap.site.com",
  "ldap_host_2": "ldap2.site.com",
  "ldap_host_3": "ldap3.site.com",
  "ldap_port": 1,
  "ldap_secure": true,
  "ldap_type": "open_ldap",
  "ldap_user_action": "disabled",
  "ldap_user_include_groups": "example",
  "ldap_username": "[ldap username]",
  "ldap_username_field": "sAMAccountName",
  "login_help_text": "Login page help text.",
  "logo": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "login_page_background_image": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "max_prior_passwords": 1,
  "managed_site_settings": "example",
  "motd_text": "example",
  "motd_use_for_ftp": true,
  "motd_use_for_sftp": true,
  "next_billing_amount": "1.0",
  "next_billing_date": "Apr 20",
  "office_integration_available": true,
  "office_integration_type": "example",
  "oncehub_link": "https://go.oncehub.com/files",
  "opt_out_global": true,
  "overdue": true,
  "password_min_length": 1,
  "password_require_letter": true,
  "password_require_mixed": true,
  "password_require_number": true,
  "password_require_special": true,
  "password_require_unbreached": true,
  "password_requirements_apply_to_bundles": true,
  "password_validity_days": 1,
  "phone": "555-555-5555",
  "pin_all_remote_servers_to_site_region": true,
  "prevent_root_permissions_for_non_site_admins": true,
  "protocol_access_groups_only": false,
  "require_2fa": true,
  "restrict_root_folder_behaviors_to_site_admins": true,
  "root_folder_behaviors_apply_to_workspaces": true,
  "require_2fa_exempt_all_sso_users": true,
  "require_2fa_stop_time": "2000-01-01T01:00:00Z",
  "revoke_bundle_access_on_disable_or_delete": false,
  "require_2fa_user_type": "`site_admins`",
  "require_logout_from_bundles_and_inboxes": false,
  "session": {
    "id": "60525f92e859c4c3d74cb02fd176b1525901b525",
    "language": "en",
    "aws_secret_key": "example",
    "ai_assistant_personality_id": 1,
    "ai_assistant_personality_system_prompt": "example",
    "login_token": "@tok-randomcode",
    "login_token_domain": "https://mysite.files.com",
    "default_workspace_id": 1,
    "max_dir_listing_size": 1,
    "multiple_regions": true,
    "read_only": true,
    "root_path": "example",
    "home_path": "example",
    "sftp_insecure_ciphers": false,
    "site_id": 1,
    "ssl_required": true,
    "timeout_at": "2000-01-01T01:00:00Z",
    "trusted": true,
    "two_factor_setup_needed": false,
    "allowed_2fa_method_sms": true,
    "allowed_2fa_method_totp": true,
    "allowed_2fa_method_webauthn": true,
    "allowed_2fa_method_yubi": true,
    "calculate_file_checksums_crc32": true,
    "calculate_file_checksums_md5": true,
    "calculate_file_checksums_sha1": true,
    "calculate_file_checksums_sha256": true,
    "legacy_checksums_mode": true,
    "finalize_partial_uploads": true,
    "use_provided_modified_at": true,
    "windows_mode_ftp": false,
    "user_belongs_to_parent_site": false,
    "impersonator_user_id": 1
  },
  "sftp_enabled": true,
  "sftp_finalize_partial_uploads": true,
  "sftp_host_key_type": "default",
  "active_sftp_host_key_id": 1,
  "active_sftp_host_key_ids": [
    1
  ],
  "sftp_insecure_ciphers": false,
  "sftp_insecure_diffie_hellman": false,
  "sftp_user_root_enabled": false,
  "sharing_enabled": true,
  "show_user_notifications_log_in_link": true,
  "show_request_access_link": true,
  "site_footer": "example",
  "site_header": "example",
  "site_public_footer": "example",
  "site_public_header": "example",
  "smtp_address": "smtp.my-mail-server.com",
  "smtp_authentication": "plain",
  "smtp_from": "me@my-mail-server.com",
  "smtp_port": 25,
  "smtp_username": "mail",
  "session_expiry_minutes": 360,
  "snapshot_sharing_enabled": true,
  "ssl_required": true,
  "subdomain": "mysite",
  "switch_to_plan_date": "2000-01-01T01:00:00Z",
  "trial_days_left": 1,
  "trial_until": "2000-01-01T01:00:00Z",
  "use_dedicated_ips_for_smtp": true,
  "use_provided_modified_at": true,
  "user": {
    "id": 1,
    "username": "user",
    "admin_group_ids": [
      1
    ],
    "allowed_ips": "10.0.0.0/8\n127.0.0.1",
    "attachments_permission": true,
    "api_keys_count": 1,
    "authenticate_until": "2000-01-01T01:00:00Z",
    "authentication_method": "password",
    "avatar_url": "example",
    "billable": true,
    "billing_permission": false,
    "bypass_site_allowed_ips": false,
    "bypass_user_lifecycle_rules": false,
    "created_at": "2000-01-01T01:00:00Z",
    "dav_permission": true,
    "disabled": true,
    "disabled_expired_or_inactive": true,
    "ai_assistant_personality_id": 1,
    "desktop_configuration_profile_id": 1,
    "integration_centric_profile_id": 1,
    "email": "john.doe@files.com",
    "filesystem_layout": "site_root",
    "first_login_at": "2000-01-01T01:00:00Z",
    "ftp_permission": true,
    "group_ids": "example",
    "header_text": "User-specific message.",
    "language": "en",
    "last_login_at": "2000-01-01T01:00:00Z",
    "last_web_login_at": "2000-01-01T01:00:00Z",
    "last_ftp_login_at": "2000-01-01T01:00:00Z",
    "last_sftp_login_at": "2000-01-01T01:00:00Z",
    "last_dav_login_at": "2000-01-01T01:00:00Z",
    "last_desktop_login_at": "2000-01-01T01:00:00Z",
    "last_restapi_login_at": "2000-01-01T01:00:00Z",
    "last_api_use_at": "2000-01-01T01:00:00Z",
    "last_active_at": "2000-01-01T01:00:00Z",
    "last_protocol_cipher": "example",
    "lockout_expires": "2000-01-01T01:00:00Z",
    "name": "John Doe",
    "company": "ACME Corp.",
    "notes": "Internal notes on this user.",
    "notification_daily_send_time": 18,
    "office_integration_enabled": true,
    "partner_admin": true,
    "partner_id": 1,
    "partner_name": "example",
    "password_set_at": "2000-01-01T01:00:00Z",
    "password_validity_days": 1,
    "primary_group_id": 1,
    "public_keys_count": 1,
    "receive_admin_alerts": true,
    "notify_on_all_site_warnings": true,
    "notify_on_all_sso_failures": true,
    "notify_on_all_user_security_events": true,
    "notify_on_all_pending_work_failures": true,
    "notify_on_all_siem_http_destination_failures": true,
    "notify_on_all_sync_failures": true,
    "notify_on_all_automation_failures": true,
    "notify_on_all_expectation_failures": true,
    "require_2fa": "always_require",
    "require_login_by": "2000-01-01T01:00:00Z",
    "active_2fa": true,
    "require_password_change": true,
    "password_expired": true,
    "responsible_group_id": 1,
    "responsible_user_id": 1,
    "readonly_site_admin": true,
    "restapi_permission": true,
    "self_managed": true,
    "sftp_permission": true,
    "site_admin": true,
    "workspace_admin": true,
    "site_id": 1,
    "workspace_id": 1,
    "default_workspace_id": 1,
    "skip_welcome_screen": true,
    "ssl_required": "always_require",
    "sso_strategy_id": 1,
    "subscribe_to_newsletter": true,
    "externally_managed": true,
    "tags": "example",
    "time_zone": "Pacific Time (US & Canada)",
    "type_of_2fa": "yubi",
    "type_of_2fa_for_display": "yubi",
    "updated_at": "2000-01-01T01:00:00Z",
    "user_root": "example",
    "user_home": "example",
    "days_remaining_until_password_expire": 1,
    "password_expire_at": "2000-01-01T01:00:00Z",
    "has_reassignable_associations": true
  },
  "user_lockout": true,
  "user_lockout_lock_period": 1,
  "user_lockout_tries": 1,
  "user_lockout_within": 6,
  "user_requests_enabled": true,
  "user_requests_notify_admins": true,
  "users_can_create_api_keys": true,
  "users_can_create_ssh_keys": true,
  "username_display": "username_only",
  "welcome_custom_text": "Welcome to my site!",
  "email_footer_custom_text": "Copyright © %Y MyCompany Inc.",
  "welcome_email_cc": "example",
  "welcome_email_subject": "example",
  "welcome_email_enabled": true,
  "welcome_screen": "user_controlled",
  "windows_mode_ftp": true
}

Update Site Settings

Endpoint

PATCH/site

Return Object

Site

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

The X-Files-Reauthentication header is required for any requests including the following parameters: email, require_2fa, require_2fa_exempt_all_sso_users, require_2fa_user_type, disable_2fa_with_delay.

Request Parameters

ParameterDescription
name
string
Site name
subdomain
string
Site subdomain
domain
string
Custom domain
domain_hsts_header
boolean
Send HSTS (HTTP Strict Transport Security) header when visitors access the site via a custom domain?
domain_letsencrypt_chain
string
Letsencrypt chain to use when registering SSL Certificate for domain. No longer used as of 2026.
email
string
Main email for this site
reply_to_email
string
Reply-to email for this site
allow_bundle_names
boolean
Are manual Bundle names allowed?
bundle_expiration
int64
Site-wide Bundle expiration in days
welcome_email_enabled
boolean
Will the welcome email be sent to new users?
ask_about_overwrites
boolean
If false, rename conflicting files instead of asking for overwrite confirmation. Only applies to web interface.
show_request_access_link
boolean
Show request access link for users without access? Currently unused.
always_mkdir_parents
boolean
Create parent directories if they do not exist during uploads? This is primarily used to work around broken upload clients that assume servers will perform this step.
welcome_email_cc
string
Include this email in welcome emails if enabled
welcome_email_subject
string
Include this email subject in welcome emails if enabled
welcome_custom_text
string
Custom text send in user welcome email
language
string
Site default language
windows_mode_ftp
boolean
Does FTP user Windows emulation mode?
default_time_zone
string
Site default time zone
desktop_app
boolean
Is the desktop app enabled?
desktop_app_session_ip_pinning
boolean
Is desktop app session IP pinning enabled?
desktop_app_session_lifetime
int64
Desktop app session lifetime (in hours)
mobile_app
boolean
Is the mobile app enabled?
mobile_app_session_ip_pinning
boolean
Is mobile app session IP pinning enabled?
mobile_app_session_lifetime
int64
Mobile app session lifetime (in hours)
folder_permissions_groups_only
boolean
If true, permissions for this site must be bound to a group (not a user).
welcome_screen
string
Does the welcome screen appear?
office_integration_available
boolean
If true, allows users to use a document editing integration.
office_integration_type
string
Which document editing integration to support. Files.com Editor or Microsoft Office for the Web.
pin_all_remote_servers_to_site_region
boolean
If true, we will ensure that all internal communications with any remote server are made through the primary region of the site. This setting overrides individual remote server settings.
motd_text
string
A message to show users when they connect via FTP or SFTP.
motd_use_for_ftp
boolean
Show message to users connecting via FTP
motd_use_for_sftp
boolean
Show message to users connecting via SFTP
left_navigation_visibility
object
Visibility settings for account navigation
disable_all_ai_features
boolean
If true, all AI features are disabled for this site.
ai_feature_availability
object
Availability settings for AI features by user class
mcp_dcr_enabled
boolean
Is OAuth DCR (dynamic client registration) for MCP enabled?
additional_text_file_types
array(string)
Additional extensions that are considered text files
bundle_require_note
boolean
Do Bundles require internal notes?
bundle_send_shared_receipts
boolean
Do Bundle creators receive receipts of invitations?
bundles_default_owned_by_primary_group
boolean
If true, new Share Links created by a user with a primary group will default to that group as owner.
calculate_file_checksums_crc32
boolean
Calculate CRC32 checksums for files?
calculate_file_checksums_md5
boolean
Calculate MD5 checksums for files?
calculate_file_checksums_sha1
boolean
Calculate SHA1 checksums for files?
calculate_file_checksums_sha256
boolean
Calculate SHA256 checksums for files?
legacy_checksums_mode
boolean
Use legacy checksums mode?
migrate_remote_server_sync_to_sync
boolean
If true, we will migrate all remote server syncs to the new Sync model.
as2_message_retention_days
int64
Number of days to retain AS2 messages (incoming and outgoing).
username_display
string
How usernames are displayed in the web UI. Can be username_only, full_name_only, full_name_username, full_name_company, or full_name_username_company.
session_expiry_minutes
int64
Session expiry in minutes
ssl_required
boolean
Is SSL required? Disabling this is insecure.
sftp_insecure_ciphers
boolean
If true, we will allow weak and known insecure ciphers to be used for SFTP connections. Enabling this setting severely weakens the security of your site and it is not recommend, except as a last resort for compatibility.
sftp_insecure_diffie_hellman
boolean
If true, we will allow weak Diffie Hellman parameters to be used within ciphers for SFTP that are otherwise on our secure list. This has the effect of making the cipher weaker than our normal threshold for security, but is required to support certain legacy or broken SSH and MFT clients. Enabling this weakens security, but not nearly as much as enabling the full sftp_insecure_ciphers option.
disable_files_certificate_generation
boolean
If set, Files.com will not set the CAA records required to generate future SSL certificates for this domain.
fedramp
boolean
Are FedRAMP security restrictions enabled for this site?
user_lockout
boolean
Will users be locked out after incorrect login attempts?
user_lockout_tries
int64
Number of login tries within user_lockout_within hours before users are locked out
user_lockout_within
int64
Number of hours for user lockout window
user_lockout_lock_period
int64
How many hours to lock user out for failed password?
include_password_in_welcome_email
boolean
Include password in emails to new users?
allowed_countries
string
Comma separated list of allowed Country codes
allowed_ips
string
List of allowed IP addresses
allow_user_level_2fa_override
boolean
Allow the site-wide two-factor authentication requirement to be overriden on a per-user-basis?
allow_user_level_allowed_ip_override
boolean
Allow the site-wide allowed IP restriction to be overriden on a per-user-basis?
allow_user_level_ssl_override
boolean
Allow the site-wide FTP SSL requirement to be overriden on a per-user-basis?
disallowed_countries
string
Comma separated list of disallowed Country codes
days_to_retain_backups
int64
Number of days to keep deleted files
max_prior_passwords
int64
Number of prior passwords to disallow
password_validity_days
int64
Number of days password is valid
password_min_length
int64
Shortest password length for users
password_require_letter
boolean
Require a letter in passwords?
password_require_mixed
boolean
Require lower and upper case letters in passwords?
password_require_special
boolean
Require special characters in password?
password_require_number
boolean
Require a number in passwords?
password_require_unbreached
boolean
Require passwords that have not been previously breached? (see https://haveibeenpwned.com/)
require_logout_from_bundles_and_inboxes
boolean
If true, we will hide the 'Remember Me' box on Inbox and Bundle registration pages, requiring that the user logout and log back in every time they visit the page.
dav_user_root_enabled
boolean
Use user FTP roots also for WebDAV?
sftp_user_root_enabled
boolean
Use user FTP roots also for SFTP?
disable_password_reset
boolean
Is password reset disabled?
immutable_files
boolean
Are files protected from modification?
bundle_not_found_message
string
Custom error message to show when bundle is not found.
bundle_password_required
boolean
Do Bundles require password protection?
bundle_require_registration
boolean
Do Bundles require registration?
bundle_require_share_recipient
boolean
Do Bundles require recipients for sharing?
bundle_send_one_time_password_to_recipient_at_registration
boolean
If true, new Share Links must send a one-time password to the recipient when they register. Requires bundle_require_share_recipient and cannot be enabled with bundle_password_required.
bundle_registration_notifications
string
Do Bundle owners receive registration notification?
bundle_activity_notifications
string
Do Bundle owners receive activity notifications?
bundle_upload_receipt_notifications
string
Do Bundle uploaders receive upload confirmation notifications?
document_edits_in_bundle_allowed
boolean
If true, allow public viewers of Bundles with full permissions to use document editing integrations.
password_requirements_apply_to_bundles
boolean
Require bundles' passwords, and passwords for other items (inboxes, public shares, etc.) to conform to the same requirements as users' passwords?
prevent_root_permissions_for_non_site_admins
boolean
If true, we will prevent non-administrators from receiving any permissions directly on the root folder. This is commonly used to prevent the accidental application of permissions.
restrict_root_folder_behaviors_to_site_admins
boolean
If true, only site admins may create, modify, or delete any behavior at the site root, or a skip that would disable one.
root_folder_behaviors_apply_to_workspaces
boolean
If true, supported protective behaviors at the site root also apply within named workspaces. Requires restrict_root_folder_behaviors_to_site_admins to be enabled.
opt_out_global
boolean
Use servers in the USA only?
use_provided_modified_at
boolean
Allow uploaders to set provided_modified_at for uploaded files?
custom_namespace
boolean
Is this site using a custom namespace for users?
non_sso_groups_allowed
boolean
If true, groups can be manually created / modified / deleted by Site Admins. Otherwise, groups can only be managed via your SSO provider.
non_sso_users_allowed
boolean
If true, users can be manually created / modified / deleted by Site Admins. Otherwise, users can only be managed via your SSO provider.
sharing_enabled
boolean
Allow bundle creation
snapshot_sharing_enabled
boolean
Allow snapshot share links creation
user_requests_enabled
boolean
Enable User Requests feature
user_requests_notify_admins
boolean
Send email to site admins when a user request is received?
dav_enabled
boolean
Is WebDAV enabled?
ftp_enabled
boolean
Is FTP enabled?
sftp_enabled
boolean
Is SFTP enabled?
sftp_finalize_partial_uploads
boolean
Finalize partial SFTP uploads from interrupted connections? Default: true.
users_can_create_api_keys
boolean
Allow users to create their own API keys?
users_can_create_ssh_keys
boolean
Allow users to create their own SSH keys?
show_user_notifications_log_in_link
boolean
Show log in link in user notifications?
sftp_host_key_type
string
Sftp Host Key Type
active_sftp_host_key_id
int64
Id of the currently selected custom SFTP Host Key
active_sftp_host_key_ids
array(int64)
Ids of the selected custom SFTP Host Keys
protocol_access_groups_only
boolean
If true, protocol access permissions on users will be ignored, and only protocol access permissions set on Groups will be honored. Make sure that your current user is a member of a group with API permission when changing this value to avoid locking yourself out of your site.
revoke_bundle_access_on_disable_or_delete
boolean
Auto-removes bundles for disabled/deleted users and enforces bundle expiry within user access period.
bundle_watermark_value
object
Preview watermark settings applied to all bundle items. Uses the same keys as Behavior.value
group_admins_can_add_users
boolean
Allow group admins to create users in their groups
group_admins_can_manage_group_memberships
boolean
Allow group admins to add or remove existing users in their groups
group_admins_can_delete_users
boolean
Allow group admins to delete users in their groups
group_admins_can_enable_disable_users
boolean
Allow group admins to enable or disable users in their groups
group_admins_can_modify_users
boolean
Allow group admins to modify users in their groups
group_admins_can_bypass_user_lifecycle_rules
boolean
Allow group admins to exempt users in their groups from lifecycle rules
group_admins_can_reset_passwords
boolean
Allow group admins to reset passwords for users in their groups
group_admins_can_set_user_password
boolean
Allow group admins to set password authentication method
bundle_recipient_blacklist_free_email_domains
boolean
Disallow free email domains for Bundle/Inbox recipients?
bundle_recipient_blacklist_domains
array(string)
List of email domains to disallow when entering a Bundle/Inbox recipients
admins_bypass_locked_subfolders
boolean
Allow admins to bypass the locked subfolders setting.
allowed_2fa_method_sms
boolean
Is SMS two factor authentication allowed?
allowed_2fa_method_totp
boolean
Is TOTP two factor authentication allowed?
allowed_2fa_method_webauthn
boolean
Is WebAuthn two factor authentication allowed?
allowed_2fa_method_yubi
boolean
Is yubikey two factor authentication allowed?
allowed_2fa_method_email
boolean
Is OTP via email two factor authentication allowed?
allowed_2fa_method_static
boolean
Is OTP via static codes for two factor authentication allowed?
allowed_2fa_method_bypass_for_ftp_sftp_dav
boolean
Are users allowed to configure their two factor authentication to be bypassed for FTP/SFTP/WebDAV?
require_2fa
boolean
Require two-factor authentication for all users?
require_2fa_exempt_all_sso_users
boolean
If true, SSO users using the default user-level two-factor authentication setting are exempt from the site-wide two-factor authentication requirement.
require_2fa_user_type
string
What type of user is required to use two-factor authentication (when require_2fa is set to true for this site)?
color2_top
string
Top bar background color
color2_left
string
Page link and button color
color2_link
string
Top bar link color
color2_text
string
Page link and button color
color2_top_text
string
Top bar text color
site_header
string
Custom site header text for authenticated pages
site_footer
string
Custom site footer text for authenticated pages
site_public_header
string
Custom site header text for public pages
site_public_footer
string
Custom site footer text for public pages
login_help_text
string
Login help text
use_dedicated_ips_for_smtp
boolean
If using custom SMTP, should we use dedicated IPs to deliver emails?
email_footer_custom_text
string
Custom footer text for system-generated emails. Supports standard strftime date/time patterns like %Y (4-digit year), %m (month), %d (day).
smtp_address
string
SMTP server hostname or IP
smtp_authentication
string
SMTP server authentication type
smtp_from
string
From address to use when mailing through custom SMTP
smtp_username
string
SMTP server username
smtp_port
int64
SMTP server port
ldap_enabled
boolean
Main LDAP setting: is LDAP enabled?
ldap_type
string
LDAP type
ldap_host
string
LDAP host
ldap_host_2
string
LDAP backup host
ldap_host_3
string
LDAP backup host
ldap_port
int64
LDAP port
ldap_secure
boolean
Use secure LDAP?
ldap_username
string
Username for signing in to LDAP server.
ldap_username_field
string
LDAP username field
ldap_domain
string
Domain name that will be appended to usernames
ldap_user_action
string
Should we sync users from LDAP server?
ldap_group_action
string
Should we sync groups from LDAP server?
ldap_user_include_groups
string
Comma or newline separated list of group names (with optional wildcards) - if provided, only users in these groups will be added or synced.
ldap_group_exclusion
string
Comma or newline separated list of group names (with optional wildcards) to exclude when syncing.
ldap_group_inclusion
string
Comma or newline separated list of group names (with optional wildcards) to include when syncing.
ldap_base_dn
string
Base DN for looking up users in LDAP server
uploads_via_email_authentication
boolean
Do incoming emails in the Inboxes require checking for SPF/DKIM/DMARC?
icon16_file
file
See Attaching Files to API Requests.
icon16_delete
boolean
If true, will delete the file stored in icon16
icon32_file
file
See Attaching Files to API Requests.
icon32_delete
boolean
If true, will delete the file stored in icon32
icon48_file
file
See Attaching Files to API Requests.
icon48_delete
boolean
If true, will delete the file stored in icon48
icon128_file
file
See Attaching Files to API Requests.
icon128_delete
boolean
If true, will delete the file stored in icon128
logo_file
file
See Attaching Files to API Requests.
logo_delete
boolean
If true, will delete the file stored in logo
bundle_watermark_attachment_file
file
See Attaching Files to API Requests.
bundle_watermark_attachment_delete
boolean
If true, will delete the file stored in bundle_watermark_attachment
login_page_background_image_file
file
See Attaching Files to API Requests.
login_page_background_image_delete
boolean
If true, will delete the file stored in login_page_background_image
disable_2fa_with_delay
boolean
If set to true, we will begin the process of disabling 2FA on this site.
ldap_password_change
string
New LDAP password.
ldap_password_change_confirmation
string
Confirm new LDAP password.
redirect_old_subdomain
boolean
If true, and if changing the site subdomain, then create a redirect from the previous Files.com subdomain to the new Files.com subdomain.
smtp_password
string
Password for SMTP server.

Example Request

curl https://app.files.com/api/rest/v1/site.json \
  -X PATCH \
  -H 'Content-Type: application/json' \
  -d '{"name":"My Site","subdomain":"mysite","domain":"my-custom-domain.com","domain_hsts_header":false,"domain_letsencrypt_chain":"example","email":"john.doe@files.com","reply_to_email":"jane.doe@files.com","allow_bundle_names":false,"bundle_expiration":1,"welcome_email_enabled":false,"ask_about_overwrites":false,"show_request_access_link":false,"always_mkdir_parents":false,"welcome_email_cc":"example","welcome_email_subject":"example","welcome_custom_text":"Welcome to my site!","language":"en","windows_mode_ftp":false,"default_time_zone":"Pacific Time (US & Canada)","desktop_app":false,"desktop_app_session_ip_pinning":false,"desktop_app_session_lifetime":1,"mobile_app":false,"mobile_app_session_ip_pinning":false,"mobile_app_session_lifetime":1,"folder_permissions_groups_only":false,"welcome_screen":"user_controlled","office_integration_available":false,"office_integration_type":"example","pin_all_remote_servers_to_site_region":false,"motd_text":"example","motd_use_for_ftp":false,"motd_use_for_sftp":false,"disable_all_ai_features":false,"ai_feature_availability":{"in_app_ai_assistant":{"site_admins":true,"workspace_admins":true,"folder_admins":true,"all_users":true}},"mcp_dcr_enabled":false,"additional_text_file_types":["example"],"bundle_require_note":false,"bundle_send_shared_receipts":false,"bundles_default_owned_by_primary_group":false,"calculate_file_checksums_crc32":false,"calculate_file_checksums_md5":false,"calculate_file_checksums_sha1":false,"calculate_file_checksums_sha256":false,"legacy_checksums_mode":false,"migrate_remote_server_sync_to_sync":false,"as2_message_retention_days":1,"username_display":"username_only","session_expiry_minutes":1,"ssl_required":false,"sftp_insecure_ciphers":false,"sftp_insecure_diffie_hellman":false,"disable_files_certificate_generation":false,"fedramp":false,"user_lockout":false,"user_lockout_tries":1,"user_lockout_within":1,"user_lockout_lock_period":1,"include_password_in_welcome_email":false,"allowed_countries":"US,DE","allowed_ips":"example","allow_user_level_2fa_override":false,"allow_user_level_allowed_ip_override":false,"allow_user_level_ssl_override":false,"disallowed_countries":"US,DE","days_to_retain_backups":1,"max_prior_passwords":1,"password_validity_days":1,"password_min_length":1,"password_require_letter":false,"password_require_mixed":false,"password_require_special":false,"password_require_number":false,"password_require_unbreached":false,"require_logout_from_bundles_and_inboxes":false,"dav_user_root_enabled":false,"sftp_user_root_enabled":false,"disable_password_reset":false,"immutable_files":false,"bundle_not_found_message":"example","bundle_password_required":false,"bundle_require_registration":false,"bundle_require_share_recipient":false,"bundle_send_one_time_password_to_recipient_at_registration":false,"bundle_registration_notifications":"never","bundle_activity_notifications":"never","bundle_upload_receipt_notifications":"never","document_edits_in_bundle_allowed":false,"password_requirements_apply_to_bundles":false,"prevent_root_permissions_for_non_site_admins":false,"restrict_root_folder_behaviors_to_site_admins":false,"root_folder_behaviors_apply_to_workspaces":false,"opt_out_global":false,"use_provided_modified_at":false,"custom_namespace":false,"non_sso_groups_allowed":false,"non_sso_users_allowed":false,"sharing_enabled":false,"snapshot_sharing_enabled":false,"user_requests_enabled":false,"user_requests_notify_admins":false,"dav_enabled":false,"ftp_enabled":false,"sftp_enabled":false,"sftp_finalize_partial_uploads":false,"users_can_create_api_keys":false,"users_can_create_ssh_keys":false,"show_user_notifications_log_in_link":false,"sftp_host_key_type":"default","active_sftp_host_key_id":1,"active_sftp_host_key_ids":[1],"protocol_access_groups_only":false,"revoke_bundle_access_on_disable_or_delete":false,"bundle_watermark_value":{"key":"example value"},"group_admins_can_add_users":false,"group_admins_can_manage_group_memberships":false,"group_admins_can_delete_users":false,"group_admins_can_enable_disable_users":false,"group_admins_can_modify_users":false,"group_admins_can_bypass_user_lifecycle_rules":false,"group_admins_can_reset_passwords":false,"group_admins_can_set_user_password":false,"bundle_recipient_blacklist_free_email_domains":false,"bundle_recipient_blacklist_domains":["example"],"admins_bypass_locked_subfolders":false,"allowed_2fa_method_sms":false,"allowed_2fa_method_totp":false,"allowed_2fa_method_webauthn":false,"allowed_2fa_method_yubi":false,"allowed_2fa_method_email":false,"allowed_2fa_method_static":false,"allowed_2fa_method_bypass_for_ftp_sftp_dav":false,"require_2fa":false,"require_2fa_exempt_all_sso_users":false,"require_2fa_user_type":"`site_admins`","color2_top":"#000000","color2_left":"#0066a7","color2_link":"#d34f5d","color2_text":"#0066a7","color2_top_text":"#ffffff","site_header":"example","site_footer":"example","site_public_header":"example","site_public_footer":"example","login_help_text":"Login page help text.","use_dedicated_ips_for_smtp":false,"email_footer_custom_text":"Copyright © %Y MyCompany Inc.","smtp_address":"smtp.my-mail-server.com","smtp_authentication":"plain","smtp_from":"me@my-mail-server.com","smtp_username":"mail","smtp_port":1,"ldap_enabled":false,"ldap_type":"open_ldap","ldap_host":"ldap.site.com","ldap_host_2":"ldap2.site.com","ldap_host_3":"ldap3.site.com","ldap_port":1,"ldap_secure":false,"ldap_username":"[ldap username]","ldap_username_field":"sAMAccountName","ldap_domain":"mysite.com","ldap_user_action":"disabled","ldap_group_action":"disabled","ldap_user_include_groups":"example","ldap_group_exclusion":"example","ldap_group_inclusion":"example","ldap_base_dn":"example","uploads_via_email_authentication":false,"icon16_delete":false,"icon32_delete":false,"icon48_delete":false,"icon128_delete":false,"logo_delete":false,"bundle_watermark_attachment_delete":false,"login_page_background_image_delete":false,"disable_2fa_with_delay":false,"redirect_old_subdomain":false}' \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "name": "My Site",
  "additional_text_file_types": [
    "example"
  ],
  "ai_feature_availability": {
    "in_app_ai_assistant": {
      "site_admins": true,
      "workspace_admins": true,
      "folder_admins": true,
      "all_users": true
    }
  },
  "allowed_2fa_method_sms": true,
  "allowed_2fa_method_totp": true,
  "allowed_2fa_method_webauthn": true,
  "allowed_2fa_method_yubi": true,
  "allowed_2fa_method_email": true,
  "allowed_2fa_method_static": true,
  "allowed_2fa_method_bypass_for_ftp_sftp_dav": true,
  "admin_user_id": 1,
  "admins_bypass_locked_subfolders": false,
  "allow_bundle_names": true,
  "allow_user_level_2fa_override": true,
  "allow_user_level_allowed_ip_override": true,
  "allow_user_level_ssl_override": true,
  "allowed_countries": "US,DE",
  "allowed_ips": "example",
  "always_mkdir_parents": false,
  "as2_message_retention_days": 1,
  "ask_about_overwrites": true,
  "bundle_activity_notifications": "never",
  "bundle_expiration": 1,
  "bundle_not_found_message": "example",
  "bundle_password_required": true,
  "bundles_default_owned_by_primary_group": true,
  "bundle_recipient_blacklist_domains": [
    "example"
  ],
  "bundle_recipient_blacklist_free_email_domains": true,
  "bundle_registration_notifications": "never",
  "bundle_require_registration": true,
  "bundle_require_share_recipient": true,
  "bundle_send_one_time_password_to_recipient_at_registration": true,
  "bundle_require_note": true,
  "bundle_send_shared_receipts": true,
  "bundle_upload_receipt_notifications": "never",
  "bundle_watermark_attachment": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "bundle_watermark_value": {
    "key": "example value"
  },
  "calculate_file_checksums_crc32": true,
  "calculate_file_checksums_md5": true,
  "calculate_file_checksums_sha1": true,
  "calculate_file_checksums_sha256": true,
  "uploads_via_email_authentication": true,
  "color2_left": "#0066a7",
  "color2_link": "#d34f5d",
  "color2_text": "#0066a7",
  "color2_top": "#000000",
  "color2_top_text": "#ffffff",
  "contact_name": "John Doe",
  "created_at": "2000-01-01T01:00:00Z",
  "currency": "USD",
  "custom_namespace": true,
  "dav_enabled": true,
  "dav_user_root_enabled": false,
  "days_to_retain_backups": 30,
  "document_edits_in_bundle_allowed": false,
  "default_time_zone": "Pacific Time (US & Canada)",
  "desktop_app": true,
  "desktop_app_session_ip_pinning": true,
  "desktop_app_session_lifetime": 1,
  "legacy_checksums_mode": true,
  "migrate_remote_server_sync_to_sync": true,
  "mcp_dcr_enabled": true,
  "mobile_app": true,
  "mobile_app_session_ip_pinning": true,
  "mobile_app_session_lifetime": 1,
  "disallowed_countries": "US,DE",
  "disable_all_ai_features": true,
  "disable_files_certificate_generation": true,
  "disable_notifications": true,
  "disable_password_reset": true,
  "domain": "my-custom-domain.com",
  "domain_hsts_header": true,
  "domain_letsencrypt_chain": "example",
  "email": "john.doe@files.com",
  "fedramp": true,
  "ftp_enabled": true,
  "reply_to_email": "jane.doe@files.com",
  "non_sso_groups_allowed": true,
  "non_sso_users_allowed": true,
  "folder_permissions_groups_only": true,
  "group_admins_can_add_users": true,
  "group_admins_can_manage_group_memberships": true,
  "group_admins_can_delete_users": true,
  "group_admins_can_enable_disable_users": true,
  "group_admins_can_modify_users": true,
  "group_admins_can_bypass_user_lifecycle_rules": true,
  "group_admins_can_reset_passwords": true,
  "group_admins_can_set_user_password": true,
  "hipaa": true,
  "icon128": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "icon16": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "icon32": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "icon48": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "immutable_files_set_at": "2000-01-01T01:00:00Z",
  "include_password_in_welcome_email": true,
  "language": "en",
  "ldap_base_dn": "example",
  "ldap_domain": "mysite.com",
  "ldap_enabled": true,
  "ldap_group_action": "disabled",
  "ldap_group_exclusion": "example",
  "ldap_group_inclusion": "example",
  "ldap_host": "ldap.site.com",
  "ldap_host_2": "ldap2.site.com",
  "ldap_host_3": "ldap3.site.com",
  "ldap_port": 1,
  "ldap_secure": true,
  "ldap_type": "open_ldap",
  "ldap_user_action": "disabled",
  "ldap_user_include_groups": "example",
  "ldap_username": "[ldap username]",
  "ldap_username_field": "sAMAccountName",
  "login_help_text": "Login page help text.",
  "logo": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "login_page_background_image": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "max_prior_passwords": 1,
  "managed_site_settings": "example",
  "motd_text": "example",
  "motd_use_for_ftp": true,
  "motd_use_for_sftp": true,
  "next_billing_amount": "1.0",
  "next_billing_date": "Apr 20",
  "office_integration_available": true,
  "office_integration_type": "example",
  "oncehub_link": "https://go.oncehub.com/files",
  "opt_out_global": true,
  "overdue": true,
  "password_min_length": 1,
  "password_require_letter": true,
  "password_require_mixed": true,
  "password_require_number": true,
  "password_require_special": true,
  "password_require_unbreached": true,
  "password_requirements_apply_to_bundles": true,
  "password_validity_days": 1,
  "phone": "555-555-5555",
  "pin_all_remote_servers_to_site_region": true,
  "prevent_root_permissions_for_non_site_admins": true,
  "protocol_access_groups_only": false,
  "require_2fa": true,
  "restrict_root_folder_behaviors_to_site_admins": true,
  "root_folder_behaviors_apply_to_workspaces": true,
  "require_2fa_exempt_all_sso_users": true,
  "require_2fa_stop_time": "2000-01-01T01:00:00Z",
  "revoke_bundle_access_on_disable_or_delete": false,
  "require_2fa_user_type": "`site_admins`",
  "require_logout_from_bundles_and_inboxes": false,
  "session": {
    "id": "60525f92e859c4c3d74cb02fd176b1525901b525",
    "language": "en",
    "aws_secret_key": "example",
    "ai_assistant_personality_id": 1,
    "ai_assistant_personality_system_prompt": "example",
    "login_token": "@tok-randomcode",
    "login_token_domain": "https://mysite.files.com",
    "default_workspace_id": 1,
    "max_dir_listing_size": 1,
    "multiple_regions": true,
    "read_only": true,
    "root_path": "example",
    "home_path": "example",
    "sftp_insecure_ciphers": false,
    "site_id": 1,
    "ssl_required": true,
    "timeout_at": "2000-01-01T01:00:00Z",
    "trusted": true,
    "two_factor_setup_needed": false,
    "allowed_2fa_method_sms": true,
    "allowed_2fa_method_totp": true,
    "allowed_2fa_method_webauthn": true,
    "allowed_2fa_method_yubi": true,
    "calculate_file_checksums_crc32": true,
    "calculate_file_checksums_md5": true,
    "calculate_file_checksums_sha1": true,
    "calculate_file_checksums_sha256": true,
    "legacy_checksums_mode": true,
    "finalize_partial_uploads": true,
    "use_provided_modified_at": true,
    "windows_mode_ftp": false,
    "user_belongs_to_parent_site": false,
    "impersonator_user_id": 1
  },
  "sftp_enabled": true,
  "sftp_finalize_partial_uploads": true,
  "sftp_host_key_type": "default",
  "active_sftp_host_key_id": 1,
  "active_sftp_host_key_ids": [
    1
  ],
  "sftp_insecure_ciphers": false,
  "sftp_insecure_diffie_hellman": false,
  "sftp_user_root_enabled": false,
  "sharing_enabled": true,
  "show_user_notifications_log_in_link": true,
  "show_request_access_link": true,
  "site_footer": "example",
  "site_header": "example",
  "site_public_footer": "example",
  "site_public_header": "example",
  "smtp_address": "smtp.my-mail-server.com",
  "smtp_authentication": "plain",
  "smtp_from": "me@my-mail-server.com",
  "smtp_port": 25,
  "smtp_username": "mail",
  "session_expiry_minutes": 360,
  "snapshot_sharing_enabled": true,
  "ssl_required": true,
  "subdomain": "mysite",
  "switch_to_plan_date": "2000-01-01T01:00:00Z",
  "trial_days_left": 1,
  "trial_until": "2000-01-01T01:00:00Z",
  "use_dedicated_ips_for_smtp": true,
  "use_provided_modified_at": true,
  "user": {
    "id": 1,
    "username": "user",
    "admin_group_ids": [
      1
    ],
    "allowed_ips": "10.0.0.0/8\n127.0.0.1",
    "attachments_permission": true,
    "api_keys_count": 1,
    "authenticate_until": "2000-01-01T01:00:00Z",
    "authentication_method": "password",
    "avatar_url": "example",
    "billable": true,
    "billing_permission": false,
    "bypass_site_allowed_ips": false,
    "bypass_user_lifecycle_rules": false,
    "created_at": "2000-01-01T01:00:00Z",
    "dav_permission": true,
    "disabled": true,
    "disabled_expired_or_inactive": true,
    "ai_assistant_personality_id": 1,
    "desktop_configuration_profile_id": 1,
    "integration_centric_profile_id": 1,
    "email": "john.doe@files.com",
    "filesystem_layout": "site_root",
    "first_login_at": "2000-01-01T01:00:00Z",
    "ftp_permission": true,
    "group_ids": "example",
    "header_text": "User-specific message.",
    "language": "en",
    "last_login_at": "2000-01-01T01:00:00Z",
    "last_web_login_at": "2000-01-01T01:00:00Z",
    "last_ftp_login_at": "2000-01-01T01:00:00Z",
    "last_sftp_login_at": "2000-01-01T01:00:00Z",
    "last_dav_login_at": "2000-01-01T01:00:00Z",
    "last_desktop_login_at": "2000-01-01T01:00:00Z",
    "last_restapi_login_at": "2000-01-01T01:00:00Z",
    "last_api_use_at": "2000-01-01T01:00:00Z",
    "last_active_at": "2000-01-01T01:00:00Z",
    "last_protocol_cipher": "example",
    "lockout_expires": "2000-01-01T01:00:00Z",
    "name": "John Doe",
    "company": "ACME Corp.",
    "notes": "Internal notes on this user.",
    "notification_daily_send_time": 18,
    "office_integration_enabled": true,
    "partner_admin": true,
    "partner_id": 1,
    "partner_name": "example",
    "password_set_at": "2000-01-01T01:00:00Z",
    "password_validity_days": 1,
    "primary_group_id": 1,
    "public_keys_count": 1,
    "receive_admin_alerts": true,
    "notify_on_all_site_warnings": true,
    "notify_on_all_sso_failures": true,
    "notify_on_all_user_security_events": true,
    "notify_on_all_pending_work_failures": true,
    "notify_on_all_siem_http_destination_failures": true,
    "notify_on_all_sync_failures": true,
    "notify_on_all_automation_failures": true,
    "notify_on_all_expectation_failures": true,
    "require_2fa": "always_require",
    "require_login_by": "2000-01-01T01:00:00Z",
    "active_2fa": true,
    "require_password_change": true,
    "password_expired": true,
    "responsible_group_id": 1,
    "responsible_user_id": 1,
    "readonly_site_admin": true,
    "restapi_permission": true,
    "self_managed": true,
    "sftp_permission": true,
    "site_admin": true,
    "workspace_admin": true,
    "site_id": 1,
    "workspace_id": 1,
    "default_workspace_id": 1,
    "skip_welcome_screen": true,
    "ssl_required": "always_require",
    "sso_strategy_id": 1,
    "subscribe_to_newsletter": true,
    "externally_managed": true,
    "tags": "example",
    "time_zone": "Pacific Time (US & Canada)",
    "type_of_2fa": "yubi",
    "type_of_2fa_for_display": "yubi",
    "updated_at": "2000-01-01T01:00:00Z",
    "user_root": "example",
    "user_home": "example",
    "days_remaining_until_password_expire": 1,
    "password_expire_at": "2000-01-01T01:00:00Z",
    "has_reassignable_associations": true
  },
  "user_lockout": true,
  "user_lockout_lock_period": 1,
  "user_lockout_tries": 1,
  "user_lockout_within": 6,
  "user_requests_enabled": true,
  "user_requests_notify_admins": true,
  "users_can_create_api_keys": true,
  "users_can_create_ssh_keys": true,
  "username_display": "username_only",
  "welcome_custom_text": "Welcome to my site!",
  "email_footer_custom_text": "Copyright © %Y MyCompany Inc.",
  "welcome_email_cc": "example",
  "welcome_email_subject": "example",
  "welcome_email_enabled": true,
  "welcome_screen": "user_controlled",
  "windows_mode_ftp": true
}

The Site Object

Some of the endpoints above return a Site object. The attributes of this object are listed below.

AttributeDescription
id
int64
Site Id
name
string
Site name
additional_text_file_types
array(string)
Additional extensions that are considered text files
ai_feature_availability
object
Availability settings for AI features by user class
allowed_2fa_method_sms
boolean
Is SMS two factor authentication allowed?
allowed_2fa_method_totp
boolean
Is TOTP two factor authentication allowed?
allowed_2fa_method_webauthn
boolean
Is WebAuthn two factor authentication allowed?
allowed_2fa_method_yubi
boolean
Is yubikey two factor authentication allowed?
allowed_2fa_method_email
boolean
Is OTP via email two factor authentication allowed?
allowed_2fa_method_static
boolean
Is OTP via static codes for two factor authentication allowed?
allowed_2fa_method_bypass_for_ftp_sftp_dav
boolean
Are users allowed to configure their two factor authentication to be bypassed for FTP/SFTP/WebDAV?
admin_user_id
int64
User ID for the main site administrator
admins_bypass_locked_subfolders
boolean
Allow admins to bypass the locked subfolders setting.
allow_bundle_names
boolean
Are manual Bundle names allowed?
allow_user_level_2fa_override
boolean
Allow the site-wide two-factor authentication requirement to be overriden on a per-user-basis?
allow_user_level_allowed_ip_override
boolean
Allow the site-wide allowed IP restriction to be overriden on a per-user-basis?
allow_user_level_ssl_override
boolean
Allow the site-wide FTP SSL requirement to be overriden on a per-user-basis?
allowed_countries
string
Comma separated list of allowed Country codes
allowed_ips
string
List of allowed IP addresses
always_mkdir_parents
boolean
Create parent directories if they do not exist during uploads? This is primarily used to work around broken upload clients that assume servers will perform this step.
as2_message_retention_days
int64
Number of days to retain AS2 messages (incoming and outgoing).
ask_about_overwrites
boolean
If false, rename conflicting files instead of asking for overwrite confirmation. Only applies to web interface.
bundle_activity_notifications
string
Do Bundle owners receive activity notifications?
Possible values: never, always, per_bundle_setting
bundle_expiration
int64
Site-wide Bundle expiration in days
bundle_not_found_message
string
Custom error message to show when bundle is not found.
bundle_password_required
boolean
Do Bundles require password protection?
bundles_default_owned_by_primary_group
boolean
If true, new Share Links created by a user with a primary group will default to that group as owner.
bundle_recipient_blacklist_domains
array(string)
List of email domains to disallow when entering a Bundle/Inbox recipients
bundle_recipient_blacklist_free_email_domains
boolean
Disallow free email domains for Bundle/Inbox recipients?
bundle_registration_notifications
string
Do Bundle owners receive registration notification?
Possible values: never, always, per_bundle_setting
bundle_require_registration
boolean
Do Bundles require registration?
bundle_require_share_recipient
boolean
Do Bundles require recipients for sharing?
bundle_send_one_time_password_to_recipient_at_registration
boolean
If true, new Share Links must send a one-time password to the recipient when they register. Requires bundle_require_share_recipient and cannot be enabled with bundle_password_required.
bundle_require_note
boolean
Do Bundles require internal notes?
bundle_send_shared_receipts
boolean
Do Bundle creators receive receipts of invitations?
bundle_upload_receipt_notifications
string
Do Bundle uploaders receive upload confirmation notifications?
Possible values: never, always, per_bundle_setting
bundle_watermark_attachment
Image
Preview watermark image applied to all bundle items.
bundle_watermark_value
object
Preview watermark settings applied to all bundle items. Uses the same keys as Behavior.value
calculate_file_checksums_crc32
boolean
Calculate CRC32 checksums for files?
calculate_file_checksums_md5
boolean
Calculate MD5 checksums for files?
calculate_file_checksums_sha1
boolean
Calculate SHA1 checksums for files?
calculate_file_checksums_sha256
boolean
Calculate SHA256 checksums for files?
uploads_via_email_authentication
boolean
Do incoming emails in the Inboxes require checking for SPF/DKIM/DMARC?
color2_left
string
Page link and button color
color2_link
string
Top bar link color
color2_text
string
Page link and button color
color2_top
string
Top bar background color
color2_top_text
string
Top bar text color
contact_name
string
Site main contact name
created_at
date-time
Time this site was created
currency
string
Preferred currency
custom_namespace
boolean
Is this site using a custom namespace for users?
dav_enabled
boolean
Is WebDAV enabled?
dav_user_root_enabled
boolean
Use user FTP roots also for WebDAV?
days_to_retain_backups
int64
Number of days to keep deleted files
document_edits_in_bundle_allowed
boolean
If true, allow public viewers of Bundles with full permissions to use document editing integrations.
default_time_zone
string
Site default time zone
desktop_app
boolean
Is the desktop app enabled?
desktop_app_session_ip_pinning
boolean
Is desktop app session IP pinning enabled?
desktop_app_session_lifetime
int64
Desktop app session lifetime (in hours)
legacy_checksums_mode
boolean
Use legacy checksums mode?
migrate_remote_server_sync_to_sync
boolean
If true, we will migrate all remote server syncs to the new Sync model.
mcp_dcr_enabled
boolean
Is OAuth DCR (dynamic client registration) for MCP enabled?
mobile_app
boolean
Is the mobile app enabled?
mobile_app_session_ip_pinning
boolean
Is mobile app session IP pinning enabled?
mobile_app_session_lifetime
int64
Mobile app session lifetime (in hours)
disallowed_countries
string
Comma separated list of disallowed Country codes
disable_all_ai_features
boolean
If true, all AI features are disabled for this site.
disable_files_certificate_generation
boolean
If set, Files.com will not set the CAA records required to generate future SSL certificates for this domain.
disable_notifications
boolean
Are notifications disabled?
disable_password_reset
boolean
Is password reset disabled?
domain
string
Custom domain
domain_hsts_header
boolean
Send HSTS (HTTP Strict Transport Security) header when visitors access the site via a custom domain?
domain_letsencrypt_chain
string
Letsencrypt chain to use when registering SSL Certificate for domain. No longer used as of 2026.
Possible values: default, isrg_root_x1, dst_root_ca_x3
email
email
Main email for this site
fedramp
boolean
Are FedRAMP security restrictions enabled for this site?
ftp_enabled
boolean
Is FTP enabled?
reply_to_email
email
Reply-to email for this site
non_sso_groups_allowed
boolean
If true, groups can be manually created / modified / deleted by Site Admins. Otherwise, groups can only be managed via your SSO provider.
non_sso_users_allowed
boolean
If true, users can be manually created / modified / deleted by Site Admins. Otherwise, users can only be managed via your SSO provider.
folder_permissions_groups_only
boolean
If true, permissions for this site must be bound to a group (not a user).
group_admins_can_add_users
boolean
Allow group admins to create users in their groups
group_admins_can_manage_group_memberships
boolean
Allow group admins to add or remove existing users in their groups
group_admins_can_delete_users
boolean
Allow group admins to delete users in their groups
group_admins_can_enable_disable_users
boolean
Allow group admins to enable or disable users in their groups
group_admins_can_modify_users
boolean
Allow group admins to modify users in their groups
group_admins_can_bypass_user_lifecycle_rules
boolean
Allow group admins to exempt users in their groups from lifecycle rules
group_admins_can_reset_passwords
boolean
Allow group admins to reset passwords for users in their groups
group_admins_can_set_user_password
boolean
Allow group admins to set password authentication method
hipaa
boolean
Is there a signed HIPAA BAA between Files.com and this site?
icon128
Image
Branded icon 128x128
icon16
Image
Branded icon 16x16
icon32
Image
Branded icon 32x32
icon48
Image
Branded icon 48x48
immutable_files_set_at
date-time
Can files be modified?
include_password_in_welcome_email
boolean
Include password in emails to new users?
language
string
Site default language
ldap_base_dn
string
Base DN for looking up users in LDAP server
ldap_domain
string
Domain name that will be appended to usernames
ldap_enabled
boolean
Main LDAP setting: is LDAP enabled?
ldap_group_action
string
Should we sync groups from LDAP server?
ldap_group_exclusion
string
Comma or newline separated list of group names (with optional wildcards) to exclude when syncing.
ldap_group_inclusion
string
Comma or newline separated list of group names (with optional wildcards) to include when syncing.
ldap_host
string
LDAP host
ldap_host_2
string
LDAP backup host
ldap_host_3
string
LDAP backup host
ldap_port
int64
LDAP port
ldap_secure
boolean
Use secure LDAP?
ldap_type
string
LDAP type
ldap_user_action
string
Should we sync users from LDAP server?
ldap_user_include_groups
string
Comma or newline separated list of group names (with optional wildcards) - if provided, only users in these groups will be added or synced.
ldap_username
string
Username for signing in to LDAP server.
ldap_username_field
string
LDAP username field
login_help_text
string
Login help text
logo
Image
Branded logo
login_page_background_image
Image
Branded login page background
max_prior_passwords
int64
Number of prior passwords to disallow
managed_site_settings
object
List of site settings managed by the parent site
motd_text
string
A message to show users when they connect via FTP or SFTP.
motd_use_for_ftp
boolean
Show message to users connecting via FTP
motd_use_for_sftp
boolean
Show message to users connecting via SFTP
next_billing_amount
decimal
Next billing amount
next_billing_date
string
Next billing date
office_integration_available
boolean
If true, allows users to use a document editing integration.
office_integration_type
string
Which document editing integration to support. Files.com Editor or Microsoft Office for the Web.
Possible values: only_office, office_365, disabled
oncehub_link
string
Link to scheduling a meeting with our Sales team
opt_out_global
boolean
Use servers in the USA only?
overdue
boolean
Is this site's billing overdue?
password_min_length
int64
Shortest password length for users
password_require_letter
boolean
Require a letter in passwords?
password_require_mixed
boolean
Require lower and upper case letters in passwords?
password_require_number
boolean
Require a number in passwords?
password_require_special
boolean
Require special characters in password?
password_require_unbreached
boolean
Require passwords that have not been previously breached? (see https://haveibeenpwned.com/)
password_requirements_apply_to_bundles
boolean
Require bundles' passwords, and passwords for other items (inboxes, public shares, etc.) to conform to the same requirements as users' passwords?
password_validity_days
int64
Number of days password is valid
phone
string
Site phone number
pin_all_remote_servers_to_site_region
boolean
If true, we will ensure that all internal communications with any remote server are made through the primary region of the site. This setting overrides individual remote server settings.
prevent_root_permissions_for_non_site_admins
boolean
If true, we will prevent non-administrators from receiving any permissions directly on the root folder. This is commonly used to prevent the accidental application of permissions.
protocol_access_groups_only
boolean
If true, protocol access permissions on users will be ignored, and only protocol access permissions set on Groups will be honored. Make sure that your current user is a member of a group with API permission when changing this value to avoid locking yourself out of your site.
require_2fa
boolean
Require two-factor authentication for all users?
restrict_root_folder_behaviors_to_site_admins
boolean
If true, only site admins may create, modify, or delete any behavior at the site root, or a skip that would disable one.
root_folder_behaviors_apply_to_workspaces
boolean
If true, supported protective behaviors at the site root also apply within named workspaces. Requires restrict_root_folder_behaviors_to_site_admins to be enabled.
require_2fa_exempt_all_sso_users
boolean
If true, SSO users using the default user-level two-factor authentication setting are exempt from the site-wide two-factor authentication requirement.
require_2fa_stop_time
date-time
If set, requirement for two-factor authentication has been scheduled to end on this date-time.
revoke_bundle_access_on_disable_or_delete
boolean
Auto-removes bundles for disabled/deleted users and enforces bundle expiry within user access period.
require_2fa_user_type
string
What type of user is required to use two-factor authentication (when require_2fa is set to true for this site)?
Possible values: all, folder_and_site_admins, site_admins
require_logout_from_bundles_and_inboxes
boolean
If true, we will hide the 'Remember Me' box on Inbox and Bundle registration pages, requiring that the user logout and log back in every time they visit the page.
session
Session
Current session
sftp_enabled
boolean
Is SFTP enabled?
sftp_finalize_partial_uploads
boolean
Finalize partial SFTP uploads from interrupted connections? Default: true.
sftp_host_key_type
string
Sftp Host Key Type
Possible values: default, exavault, custom, smartfile
active_sftp_host_key_id
int64
Id of the currently selected custom SFTP Host Key
active_sftp_host_key_ids
array(int64)
Ids of the selected custom SFTP Host Keys
sftp_insecure_ciphers
boolean
If true, we will allow weak and known insecure ciphers to be used for SFTP connections. Enabling this setting severely weakens the security of your site and it is not recommend, except as a last resort for compatibility.
sftp_insecure_diffie_hellman
boolean
If true, we will allow weak Diffie Hellman parameters to be used within ciphers for SFTP that are otherwise on our secure list. This has the effect of making the cipher weaker than our normal threshold for security, but is required to support certain legacy or broken SSH and MFT clients. Enabling this weakens security, but not nearly as much as enabling the full sftp_insecure_ciphers option.
sftp_user_root_enabled
boolean
Use user FTP roots also for SFTP?
sharing_enabled
boolean
Allow bundle creation
show_user_notifications_log_in_link
boolean
Show log in link in user notifications?
show_request_access_link
boolean
Show request access link for users without access? Currently unused.
site_footer
string
Custom site footer text for authenticated pages
site_header
string
Custom site header text for authenticated pages
site_public_footer
string
Custom site footer text for public pages
site_public_header
string
Custom site header text for public pages
smtp_address
string
SMTP server hostname or IP
smtp_authentication
string
SMTP server authentication type
smtp_from
string
From address to use when mailing through custom SMTP
smtp_port
int64
SMTP server port
smtp_username
string
SMTP server username
session_expiry_minutes
int64
Session expiry in minutes
snapshot_sharing_enabled
boolean
Allow snapshot share links creation
ssl_required
boolean
Is SSL required? Disabling this is insecure.
subdomain
string
Site subdomain
switch_to_plan_date
date-time
If switching plans, when does the new plan take effect?
trial_days_left
int64
Number of days left in trial
trial_until
date-time
When does this Site trial expire?
use_dedicated_ips_for_smtp
boolean
If using custom SMTP, should we use dedicated IPs to deliver emails?
use_provided_modified_at
boolean
Allow uploaders to set provided_modified_at for uploaded files?
user
User
User of current session
user_lockout
boolean
Will users be locked out after incorrect login attempts?
user_lockout_lock_period
int64
How many hours to lock user out for failed password?
user_lockout_tries
int64
Number of login tries within user_lockout_within hours before users are locked out
user_lockout_within
int64
Number of hours for user lockout window
user_requests_enabled
boolean
Enable User Requests feature
user_requests_notify_admins
boolean
Send email to site admins when a user request is received?
users_can_create_api_keys
boolean
Allow users to create their own API keys?
users_can_create_ssh_keys
boolean
Allow users to create their own SSH keys?
username_display
string
How usernames are displayed in the web UI. Can be username_only, full_name_only, full_name_username, full_name_company, or full_name_username_company.
Possible values: username_only, full_name_only, full_name_username, full_name_company, full_name_username_company
welcome_custom_text
string
Custom text send in user welcome email
email_footer_custom_text
string
Custom footer text for system-generated emails. Supports standard strftime date/time patterns like %Y (4-digit year), %m (month), %d (day).
welcome_email_cc
email
Include this email in welcome emails if enabled
welcome_email_subject
string
Include this email subject in welcome emails if enabled
welcome_email_enabled
boolean
Will the welcome email be sent to new users?
welcome_screen
string
Does the welcome screen appear?
Possible values: enabled, hidden, disabled
windows_mode_ftp
boolean
Does FTP user Windows emulation mode?

Example Site Object

{
  "id": 1,
  "name": "My Site",
  "additional_text_file_types": [
    "example"
  ],
  "ai_feature_availability": {
    "in_app_ai_assistant": {
      "site_admins": true,
      "workspace_admins": true,
      "folder_admins": true,
      "all_users": true
    }
  },
  "allowed_2fa_method_sms": true,
  "allowed_2fa_method_totp": true,
  "allowed_2fa_method_webauthn": true,
  "allowed_2fa_method_yubi": true,
  "allowed_2fa_method_email": true,
  "allowed_2fa_method_static": true,
  "allowed_2fa_method_bypass_for_ftp_sftp_dav": true,
  "admin_user_id": 1,
  "admins_bypass_locked_subfolders": false,
  "allow_bundle_names": true,
  "allow_user_level_2fa_override": true,
  "allow_user_level_allowed_ip_override": true,
  "allow_user_level_ssl_override": true,
  "allowed_countries": "US,DE",
  "allowed_ips": "example",
  "always_mkdir_parents": false,
  "as2_message_retention_days": 1,
  "ask_about_overwrites": true,
  "bundle_activity_notifications": "never",
  "bundle_expiration": 1,
  "bundle_not_found_message": "example",
  "bundle_password_required": true,
  "bundles_default_owned_by_primary_group": true,
  "bundle_recipient_blacklist_domains": [
    "example"
  ],
  "bundle_recipient_blacklist_free_email_domains": true,
  "bundle_registration_notifications": "never",
  "bundle_require_registration": true,
  "bundle_require_share_recipient": true,
  "bundle_send_one_time_password_to_recipient_at_registration": true,
  "bundle_require_note": true,
  "bundle_send_shared_receipts": true,
  "bundle_upload_receipt_notifications": "never",
  "bundle_watermark_attachment": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "bundle_watermark_value": {
    "key": "example value"
  },
  "calculate_file_checksums_crc32": true,
  "calculate_file_checksums_md5": true,
  "calculate_file_checksums_sha1": true,
  "calculate_file_checksums_sha256": true,
  "uploads_via_email_authentication": true,
  "color2_left": "#0066a7",
  "color2_link": "#d34f5d",
  "color2_text": "#0066a7",
  "color2_top": "#000000",
  "color2_top_text": "#ffffff",
  "contact_name": "John Doe",
  "created_at": "2000-01-01T01:00:00Z",
  "currency": "USD",
  "custom_namespace": true,
  "dav_enabled": true,
  "dav_user_root_enabled": false,
  "days_to_retain_backups": 30,
  "document_edits_in_bundle_allowed": false,
  "default_time_zone": "Pacific Time (US & Canada)",
  "desktop_app": true,
  "desktop_app_session_ip_pinning": true,
  "desktop_app_session_lifetime": 1,
  "legacy_checksums_mode": true,
  "migrate_remote_server_sync_to_sync": true,
  "mcp_dcr_enabled": true,
  "mobile_app": true,
  "mobile_app_session_ip_pinning": true,
  "mobile_app_session_lifetime": 1,
  "disallowed_countries": "US,DE",
  "disable_all_ai_features": true,
  "disable_files_certificate_generation": true,
  "disable_notifications": true,
  "disable_password_reset": true,
  "domain": "my-custom-domain.com",
  "domain_hsts_header": true,
  "domain_letsencrypt_chain": "example",
  "email": "john.doe@files.com",
  "fedramp": true,
  "ftp_enabled": true,
  "reply_to_email": "jane.doe@files.com",
  "non_sso_groups_allowed": true,
  "non_sso_users_allowed": true,
  "folder_permissions_groups_only": true,
  "group_admins_can_add_users": true,
  "group_admins_can_manage_group_memberships": true,
  "group_admins_can_delete_users": true,
  "group_admins_can_enable_disable_users": true,
  "group_admins_can_modify_users": true,
  "group_admins_can_bypass_user_lifecycle_rules": true,
  "group_admins_can_reset_passwords": true,
  "group_admins_can_set_user_password": true,
  "hipaa": true,
  "icon128": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "icon16": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "icon32": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "icon48": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "immutable_files_set_at": "2000-01-01T01:00:00Z",
  "include_password_in_welcome_email": true,
  "language": "en",
  "ldap_base_dn": "example",
  "ldap_domain": "mysite.com",
  "ldap_enabled": true,
  "ldap_group_action": "disabled",
  "ldap_group_exclusion": "example",
  "ldap_group_inclusion": "example",
  "ldap_host": "ldap.site.com",
  "ldap_host_2": "ldap2.site.com",
  "ldap_host_3": "ldap3.site.com",
  "ldap_port": 1,
  "ldap_secure": true,
  "ldap_type": "open_ldap",
  "ldap_user_action": "disabled",
  "ldap_user_include_groups": "example",
  "ldap_username": "[ldap username]",
  "ldap_username_field": "sAMAccountName",
  "login_help_text": "Login page help text.",
  "logo": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "login_page_background_image": {
    "name": "My logo",
    "uri": "https://mysite.files.com/.../my_image.png"
  },
  "max_prior_passwords": 1,
  "managed_site_settings": "example",
  "motd_text": "example",
  "motd_use_for_ftp": true,
  "motd_use_for_sftp": true,
  "next_billing_amount": "1.0",
  "next_billing_date": "Apr 20",
  "office_integration_available": true,
  "office_integration_type": "example",
  "oncehub_link": "https://go.oncehub.com/files",
  "opt_out_global": true,
  "overdue": true,
  "password_min_length": 1,
  "password_require_letter": true,
  "password_require_mixed": true,
  "password_require_number": true,
  "password_require_special": true,
  "password_require_unbreached": true,
  "password_requirements_apply_to_bundles": true,
  "password_validity_days": 1,
  "phone": "555-555-5555",
  "pin_all_remote_servers_to_site_region": true,
  "prevent_root_permissions_for_non_site_admins": true,
  "protocol_access_groups_only": false,
  "require_2fa": true,
  "restrict_root_folder_behaviors_to_site_admins": true,
  "root_folder_behaviors_apply_to_workspaces": true,
  "require_2fa_exempt_all_sso_users": true,
  "require_2fa_stop_time": "2000-01-01T01:00:00Z",
  "revoke_bundle_access_on_disable_or_delete": false,
  "require_2fa_user_type": "`site_admins`",
  "require_logout_from_bundles_and_inboxes": false,
  "session": {
    "id": "60525f92e859c4c3d74cb02fd176b1525901b525",
    "language": "en",
    "aws_secret_key": "example",
    "ai_assistant_personality_id": 1,
    "ai_assistant_personality_system_prompt": "example",
    "login_token": "@tok-randomcode",
    "login_token_domain": "https://mysite.files.com",
    "default_workspace_id": 1,
    "max_dir_listing_size": 1,
    "multiple_regions": true,
    "read_only": true,
    "root_path": "example",
    "home_path": "example",
    "sftp_insecure_ciphers": false,
    "site_id": 1,
    "ssl_required": true,
    "timeout_at": "2000-01-01T01:00:00Z",
    "trusted": true,
    "two_factor_setup_needed": false,
    "allowed_2fa_method_sms": true,
    "allowed_2fa_method_totp": true,
    "allowed_2fa_method_webauthn": true,
    "allowed_2fa_method_yubi": true,
    "calculate_file_checksums_crc32": true,
    "calculate_file_checksums_md5": true,
    "calculate_file_checksums_sha1": true,
    "calculate_file_checksums_sha256": true,
    "legacy_checksums_mode": true,
    "finalize_partial_uploads": true,
    "use_provided_modified_at": true,
    "windows_mode_ftp": false,
    "user_belongs_to_parent_site": false,
    "impersonator_user_id": 1
  },
  "sftp_enabled": true,
  "sftp_finalize_partial_uploads": true,
  "sftp_host_key_type": "default",
  "active_sftp_host_key_id": 1,
  "active_sftp_host_key_ids": [
    1
  ],
  "sftp_insecure_ciphers": false,
  "sftp_insecure_diffie_hellman": false,
  "sftp_user_root_enabled": false,
  "sharing_enabled": true,
  "show_user_notifications_log_in_link": true,
  "show_request_access_link": true,
  "site_footer": "example",
  "site_header": "example",
  "site_public_footer": "example",
  "site_public_header": "example",
  "smtp_address": "smtp.my-mail-server.com",
  "smtp_authentication": "plain",
  "smtp_from": "me@my-mail-server.com",
  "smtp_port": 25,
  "smtp_username": "mail",
  "session_expiry_minutes": 360,
  "snapshot_sharing_enabled": true,
  "ssl_required": true,
  "subdomain": "mysite",
  "switch_to_plan_date": "2000-01-01T01:00:00Z",
  "trial_days_left": 1,
  "trial_until": "2000-01-01T01:00:00Z",
  "use_dedicated_ips_for_smtp": true,
  "use_provided_modified_at": true,
  "user": {
    "id": 1,
    "username": "user",
    "admin_group_ids": [
      1
    ],
    "allowed_ips": "10.0.0.0/8\n127.0.0.1",
    "attachments_permission": true,
    "api_keys_count": 1,
    "authenticate_until": "2000-01-01T01:00:00Z",
    "authentication_method": "password",
    "avatar_url": "example",
    "billable": true,
    "billing_permission": false,
    "bypass_site_allowed_ips": false,
    "bypass_user_lifecycle_rules": false,
    "created_at": "2000-01-01T01:00:00Z",
    "dav_permission": true,
    "disabled": true,
    "disabled_expired_or_inactive": true,
    "ai_assistant_personality_id": 1,
    "desktop_configuration_profile_id": 1,
    "integration_centric_profile_id": 1,
    "email": "john.doe@files.com",
    "filesystem_layout": "site_root",
    "first_login_at": "2000-01-01T01:00:00Z",
    "ftp_permission": true,
    "group_ids": "example",
    "header_text": "User-specific message.",
    "language": "en",
    "last_login_at": "2000-01-01T01:00:00Z",
    "last_web_login_at": "2000-01-01T01:00:00Z",
    "last_ftp_login_at": "2000-01-01T01:00:00Z",
    "last_sftp_login_at": "2000-01-01T01:00:00Z",
    "last_dav_login_at": "2000-01-01T01:00:00Z",
    "last_desktop_login_at": "2000-01-01T01:00:00Z",
    "last_restapi_login_at": "2000-01-01T01:00:00Z",
    "last_api_use_at": "2000-01-01T01:00:00Z",
    "last_active_at": "2000-01-01T01:00:00Z",
    "last_protocol_cipher": "example",
    "lockout_expires": "2000-01-01T01:00:00Z",
    "name": "John Doe",
    "company": "ACME Corp.",
    "notes": "Internal notes on this user.",
    "notification_daily_send_time": 18,
    "office_integration_enabled": true,
    "partner_admin": true,
    "partner_id": 1,
    "partner_name": "example",
    "password_set_at": "2000-01-01T01:00:00Z",
    "password_validity_days": 1,
    "primary_group_id": 1,
    "public_keys_count": 1,
    "receive_admin_alerts": true,
    "notify_on_all_site_warnings": true,
    "notify_on_all_sso_failures": true,
    "notify_on_all_user_security_events": true,
    "notify_on_all_pending_work_failures": true,
    "notify_on_all_siem_http_destination_failures": true,
    "notify_on_all_sync_failures": true,
    "notify_on_all_automation_failures": true,
    "notify_on_all_expectation_failures": true,
    "require_2fa": "always_require",
    "require_login_by": "2000-01-01T01:00:00Z",
    "active_2fa": true,
    "require_password_change": true,
    "password_expired": true,
    "responsible_group_id": 1,
    "responsible_user_id": 1,
    "readonly_site_admin": true,
    "restapi_permission": true,
    "self_managed": true,
    "sftp_permission": true,
    "site_admin": true,
    "workspace_admin": true,
    "site_id": 1,
    "workspace_id": 1,
    "default_workspace_id": 1,
    "skip_welcome_screen": true,
    "ssl_required": "always_require",
    "sso_strategy_id": 1,
    "subscribe_to_newsletter": true,
    "externally_managed": true,
    "tags": "example",
    "time_zone": "Pacific Time (US & Canada)",
    "type_of_2fa": "yubi",
    "type_of_2fa_for_display": "yubi",
    "updated_at": "2000-01-01T01:00:00Z",
    "user_root": "example",
    "user_home": "example",
    "days_remaining_until_password_expire": 1,
    "password_expire_at": "2000-01-01T01:00:00Z",
    "has_reassignable_associations": true
  },
  "user_lockout": true,
  "user_lockout_lock_period": 1,
  "user_lockout_tries": 1,
  "user_lockout_within": 6,
  "user_requests_enabled": true,
  "user_requests_notify_admins": true,
  "users_can_create_api_keys": true,
  "users_can_create_ssh_keys": true,
  "username_display": "username_only",
  "welcome_custom_text": "Welcome to my site!",
  "email_footer_custom_text": "Copyright © %Y MyCompany Inc.",
  "welcome_email_cc": "example",
  "welcome_email_subject": "example",
  "welcome_email_enabled": true,
  "welcome_screen": "user_controlled",
  "windows_mode_ftp": true
}